<?php

use Illuminate\Database\Migrations\Migration;

class CreateActionsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: actions
         */
        Schema::create('actions', function ($table) {
            $table->increments('id');
            $table->varchar('name')->nullable();
            $table->text('note')->nullable();
            $table->varchar('tags')->nullable();
            $table->int('actiontype_id')->nullable();
            $table->int('contact_id')->nullable();
            $table->int('leadsource_id')->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['draft', 'published', 'hidden', 'suspended', 'spam'])->default('draft')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('actions');
    }
}
