@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('app_test::action.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('app_test::action.names') !!}</small>
@stop

@section('title')
{!! trans('app_test::action.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('app_test::action.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='app_test-action-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="app_test-action-list" class="table table-striped table-bordered">
    <thead>
        <th>{!! trans('app_test::action.label.id')!!}</th>
                    <th>{!! trans('app_test::action.label.name')!!}</th>
                    <th>{!! trans('app_test::action.label.note')!!}</th>
                    <th>{!! trans('app_test::action.label.tags')!!}</th>
                    <th>{!! trans('app_test::action.label.actiontype_id')!!}</th>
                    <th>{!! trans('app_test::action.label.contact_id')!!}</th>
                    <th>{!! trans('app_test::action.label.user_id')!!}</th>
                    <th>{!! trans('app_test::action.label.leadsource_id')!!}</th>
                    <th>{!! trans('app_test::action.label.created_at')!!}</th>
                    <th>{!! trans('app_test::action.label.updated_at')!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#app_test-action-entry', '{!!URL::to('admin/app_test/action/0')!!}');
    oTable = $('#app_test-action-list').dataTable( {
        "ajax": '{!! URL::to('/admin/app_test/action') !!}',
        "columns": [
            {data :'id'},
                    {data :'name'},
                    {data :'note'},
                    {data :'tags'},
                    {data :'actiontype_id'},
                    {data :'contact_id'},
                    {data :'user_id'},
                    {data :'leadsource_id'},
                    {data :'created_at'},
                    {data :'updated_at'},
        ],
        "pageLength": 50
    });

    $('#app_test-action-list tbody').on( 'click', 'tr', function () {

        if ($(this).hasClass('selected') ) {
            $(this).removeClass('selected');
        } else {
            oTable.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');
        }

        var d = $('#app_test-action-list').DataTable().row( this ).data();

        $('#app_test-action-entry').load('{!!URL::to('admin/app_test/action')!!}' + '/' + d.id);

    });
});
</script>
@stop

@section('style')
@stop

