<?php

namespace Fegerer\AppTest\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Fegerer\AppTest\Interfaces\ActiontypeRepositoryInterface;

class ActiontypePublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Fegerer\Actiontype\Interfaces\ActiontypeRepositoryInterface $actiontype
     *
     * @return type
     */
    public function __construct(ActiontypeRepositoryInterface $actiontype)
    {
        $this->repository = $actiontype;
        parent::__construct();
    }

    /**
     * Show actiontype's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $actiontypes = $this->repository->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('app_test::public.actiontype.index', compact('actiontypes'))->render();
    }

    /**
     * Show actiontype.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $actiontype = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('app_test::public.actiontype.show', compact('actiontype'))->render();
    }
}
