<?php

namespace Fegerer\AppTest\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Fegerer\AppTest\Interfaces\ActiontypecategoryRepositoryInterface;

class ActiontypecategoryPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Fegerer\Actiontypecategory\Interfaces\ActiontypecategoryRepositoryInterface $actiontypecategory
     *
     * @return type
     */
    public function __construct(ActiontypecategoryRepositoryInterface $actiontypecategory)
    {
        $this->repository = $actiontypecategory;
        parent::__construct();
    }

    /**
     * Show actiontypecategory's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $actiontypecategories = $this->repository->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('app_test::public.actiontypecategory.index', compact('actiontypecategories'))->render();
    }

    /**
     * Show actiontypecategory.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $actiontypecategory = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('app_test::public.actiontypecategory.show', compact('actiontypecategory'))->render();
    }
}
