<?php

namespace Fegerer\AppTest\Policies;

use App\User;
use Illuminate\Auth\Access\HandlesAuthorization;
use Fegerer\AppTest\Models\Actiontypecategory;

class ActiontypecategoryPolicy
{
    use HandlesAuthorization;

    /**
     * Determine if the given user can view the actiontypecategory.
     *
     * @param User $user
     * @param Actiontypecategory $actiontypecategory
     *
     * @return bool
     */
    public function view(User $user, Actiontypecategory $actiontypecategory)
    {
        if ($user->canDo('app_test.actiontypecategory.view') && $user->is('admin')) {
            return true;
        }

        return $user->id === $actiontypecategory->user_id;
    }

    /**
     * Determine if the given user can create a actiontypecategory.
     *
     * @param User $user
     * @param Actiontypecategory $actiontypecategory
     *
     * @return bool
     */
    public function create(User $user)
    {
        return  $user->canDo('app_test.actiontypecategory.create');
    }

    /**
     * Determine if the given user can update the given actiontypecategory.
     *
     * @param User $user
     * @param Actiontypecategory $actiontypecategory
     *
     * @return bool
     */
    public function update(User $user, Actiontypecategory $actiontypecategory)
    {
        if ($user->canDo('app_test.actiontypecategory.update') && $user->is('admin')) {
            return true;
        }

        return $user->id === $actiontypecategory->user_id;
    }

    /**
     * Determine if the given user can delete the given actiontypecategory.
     *
     * @param User $user
     * @param Actiontypecategory $actiontypecategory
     *
     * @return bool
     */
    public function delete(User $user, Actiontypecategory $actiontypecategory)
    {
        if ($user->canDo('app_test.actiontypecategory.delete') && $user->is('admin')) {
            return true;
        }

        return $user->id === $actiontypecategory->user_id;
    }

    /**
     * Determine if the user can perform a given action ve.
     *
     * @param [type] $user    [description]
     * @param [type] $ability [description]
     *
     * @return [type] [description]
     */
    public function before($user, $ability)
    {
        if ($user->isSuperUser()) {
            return true;
        }
    }
}
