<?php

namespace Fegerer\AppTest\Providers;

use Illuminate\Foundation\Support\Providers\RouteServiceProvider as ServiceProvider;
use Illuminate\Routing\Router;
use Fegerer\AppTest\Models\AppTest;
use Request;

class RouteServiceProvider extends ServiceProvider
{
    /**
     * This namespace is applied to the controller routes in your routes file.
     *
     * In addition, it is set as the URL generator's root namespace.
     *
     * @var string
     */
    protected $namespace = 'Fegerer\AppTest\Http\Controllers';

    /**
     * Define your route model bindings, pattern filters, etc.
     *
     * @param   \Illuminate\Routing\Router  $router
     * @return void
     */
    public function boot(Router $router)
    {
        parent::boot($router);

        if (Request::is('*/app_test/action/*')) {
            $router->bind('action', function ($id) {
                $action = $this->app->make('\Fegerer\AppTest\Interfaces\ActionRepositoryInterface');
                return $action->findorNew($id);
            });
        }
if (Request::is('*/app_test/actiontypecategory/*')) {
            $router->bind('actiontypecategory', function ($id) {
                $actiontypecategory = $this->app->make('\Fegerer\AppTest\Interfaces\ActiontypecategoryRepositoryInterface');
                return $actiontypecategory->findorNew($id);
            });
        }
if (Request::is('*/app_test/actiontype/*')) {
            $router->bind('actiontype', function ($id) {
                $actiontype = $this->app->make('\Fegerer\AppTest\Interfaces\ActiontypeRepositoryInterface');
                return $actiontype->findorNew($id);
            });
        }

    }

    /**
     * Define the routes for the application.
     *
     * @param \Illuminate\Routing\Router $router
     *
     * @return void
     */
    public function map(Router $router)
    {
        $router->group(['namespace' => $this->namespace], function ($router) {
            require __DIR__ . '/../Http/routes.php';
        });
    }
}
